# Dagger

Dagger is an *Application Delivery as Code* (ADC) platform.


Using Dagger, software teams can create state-of-the-art deployment pipelines, tailor-made for their application and infrastructure, in just a few lines of code.

Dagger might be a good fit for you if:

* You spend too much time fixing your artisanal deployment scripts
* You wish you could use Heroku or Firebase, but your stack is too custom
* You put off important infrastructure changes because they would slow down development
* You wish you could visualize your whole application's supply chain as one big graph

## Alpha disclaimer

Dagger is *alpha-quality software*. It has many bugs, the user interface is minimal, and it may change in incompatible ways at any time. If you are still willing to try it, thank you! We appreciate your help and encourage you to ask questions and report issues.

## Examples


## Learn More

* [What is Application Delivery as Code?](doc/what_is_adc.md)
* [Installing Dagger](doc/install.md)
* [Tutorials](doc/tutorials.md)
* [Adding Dagger to your project](doc/adding_dagger.md)
* [Dagger Programmer Manual](doc/programmer.md)
* [Dagger Operator Manual](doc/operator.md)
